import request from '@/utils/request'

// 日产能对比统计:获取日期表头
export function getDatas(query) {
  return request({
    url: "/dailyProductionReport/getDatas",
    method: "get",
    params: query,
  });
}


// 日产能对比统计:统计方式工序
export function getListByProcess(query) {
  return request({
    url: '/dailyProductionReport/getListByProcess',
    method: "get",
    params: query
  });
}

// 日产能对比统计:统计方式用户
export function getListByUser(query) {
    return request({
      url: '/dailyProductionReport/getListByUser',
      method: "get",
      params: query
    });
  }
  // 日产能对比统计:统计方式车间
export function getListByWorkshop(query) {
    return request({
      url: '/dailyProductionReport/getListByWorkshop',
      method: "get",
      params: query
    });
  }

  // 日产能对比统计:统计方式工作中心
export function getListByWorkstation(query) {
    return request({
      url: '/dailyProductionReport/getListByWorkstation',
      method: "get",
      params: query
    });
  }

    // 日产能对比统计:统计方式工作单元
export function getListByWorkunit(query) {
    return request({
      url: '/dailyProductionReport/getListByWorkunit',
      method: "get",
      params: query
    });
  }
